Reports API
1 operation. Authentication, errors and pagination work as described in the REST API overview.
Report content or a user
POST/api/v1/reportsToken required
Opens (or joins) a review-queue item for the target. A repeat report while yours is open returns it (200).
Request body
| Name | Type | Description |
|---|---|---|
targetTyperequired | "prompt" | "prompt_version" | "make" | "post" | "change_request" | "collection" | "comment" | "user" | |
targetIdrequired | string | |
reasonrequired | "spam" | "abuse" | "copyright" | "malware" | "other" | |
details | string |
Responses: 201 Filed (200 with `duplicate: true` when yours was already open)400, 401, 403, 404, 429
Response fields
| Name | Type | Description |
|---|---|---|
reportIdrequired | string | |
duplicaterequired | boolean |
Example
curl -X POST 'https://incantory.ai/api/v1/reports' \
-H "Authorization: Bearer $INCANTORY_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"targetType":"prompt","targetId":"targetId","reason":"spam"}'